
From: Jeff Dike <jdike@addtoit.com>

The completion cleanup got rid of some semaphores, but didn't remove the
inclusion of asm/semaphore.h from xterm_kern.c.

Signed-off-by: Jeff Dike <jdike@addtoit.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/um/drivers/xterm_kern.c |    1 -
 1 files changed, 1 deletion(-)

diff -puN arch/um/drivers/xterm_kern.c~uml-inclusion-cleanup arch/um/drivers/xterm_kern.c
--- 25/arch/um/drivers/xterm_kern.c~uml-inclusion-cleanup	Mon May  2 17:15:39 2005
+++ 25-akpm/arch/um/drivers/xterm_kern.c	Mon May  2 17:15:39 2005
@@ -7,7 +7,6 @@
 #include "linux/slab.h"
 #include "linux/signal.h"
 #include "linux/interrupt.h"
-#include "asm/semaphore.h"
 #include "asm/irq.h"
 #include "irq_user.h"
 #include "irq_kern.h"
_
